Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IDiagnosticService Class Referenceabstract

`#include <diagnostic_service_i.h>`

## Public Member Functions
| IDiagnosticService ()=default
virtual | ~IDiagnosticService ()=default
virtual void | Uninitialize ()=0
virtual int | RegisterDumpStateObserver (IDumpStateObserver *observer)=0
virtual int | UnregisterDumpStateObserver (IDumpStateObserver *observer)=0
virtual int | RegisterRtcConnection (IRtcConnectionEx *conn)=0
virtual int | UnregisterRtcConnection (IRtcConnectionEx *conn)=0
virtual ConnInfosIterator * | GetConnInfosIterator () const =0
virtual int | StartAudioFrameDump (const char *channel_id, user_id_t user_id, const std::string &location, const std::string &uuid, const std::string &passwd, int64_t duration_ms, bool auto_upload, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | StopAudioFrameDump (const char *channel_id, user_id_t user_id, const std::string &location)=0
virtual int | StartTrace (uint32_t count, uint64_t mask, int scale, bool truncate_group)=0
virtual int | StopTrace (const std::string &file_path)=0

## Constructor & Destructor Documentation

## ◆ IDiagnosticService()

agora::rtc::IDiagnosticService::IDiagnosticService | ( |  | ) |
| default

## ◆ ~IDiagnosticService()

virtual agora::rtc::IDiagnosticService::~IDiagnosticService | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ Uninitialize()

virtual void agora::rtc::IDiagnosticService::Uninitialize | ( |  | ) |
| pure virtual

## ◆ RegisterDumpStateObserver()

virtual int agora::rtc::IDiagnosticService::RegisterDumpStateObserver | ( | IDumpStateObserver * | observer | ) |
| pure virtual

## ◆ UnregisterDumpStateObserver()

virtual int agora::rtc::IDiagnosticService::UnregisterDumpStateObserver | ( | IDumpStateObserver * | observer | ) |
| pure virtual

## ◆ RegisterRtcConnection()

virtual int agora::rtc::IDiagnosticService::RegisterRtcConnection | ( | IRtcConnectionEx * | conn | ) |
| pure virtual

## ◆ UnregisterRtcConnection()

virtual int agora::rtc::IDiagnosticService::UnregisterRtcConnection | ( | IRtcConnectionEx * | conn | ) |
| pure virtual

## ◆ GetConnInfosIterator()

virtual ConnInfosIterator * agora::rtc::IDiagnosticService::GetConnInfosIterator | ( |  | ) | const
| pure virtual

## ◆ StartAudioFrameDump()

virtual int agora::rtc::IDiagnosticService::StartAudioFrameDump | ( | const char * | channel_id,
|  | user_id_t | user_id,
|  | const std::string & | location,
|  | const std::string & | uuid,
|  | const std::string & | passwd,
|  | int64_t | duration_ms,
|  | bool | auto_upload,
|  | aosl_ref_t | ares = AOSL_REF_INVALID )
| pure virtual

## ◆ StopAudioFrameDump()

virtual int agora::rtc::IDiagnosticService::StopAudioFrameDump | ( | const char * | channel_id,
|  | user_id_t | user_id,
|  | const std::string & | location )
| pure virtual

## ◆ StartTrace()

virtual int agora::rtc::IDiagnosticService::StartTrace | ( | uint32_t | count,
|  | uint64_t | mask,
|  | int | scale,
|  | bool | truncate_group )
| pure virtual

## ◆ StopTrace()

virtual int agora::rtc::IDiagnosticService::StopTrace | ( | const std::string & | file_path | ) |
| pure virtual